/******************************************************************************/
/*                                                                            */
/* Trigger: SINCRONIZA_MODULOFILI                                             */
/* Tabela : MODULOFILI -> PRODMODFILI                                         */
/*                                                                            */
/* Atualiza os dados da tabela MODULOFILI na  a tabela PRODMODFILI            */
/*                                                                            */
/* Criao:                                                                   */
/* 06/08/2009 - Fleas                                                        */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER SINCRONIZA_MODULOFILI
AFTER INSERT
ON MODULOFILI FOR EACH ROW
BEGIN
   IF INSERTING THEN
      INSERT INTO PRODMODFILI
         (CDMODULOPROD, CDPRODUTO, CDFILIAL)
         (SELECT :NEW.CDMODULOPROD, CDPRODUTO, :NEW.CDFILIAL
            FROM PRODMODPROD PMP
           WHERE PMP.CDMODULOPROD = :NEW.CDMODULOPROD
             AND NOT EXISTS (SELECT CDMODULOPROD, CDPRODUTO, CDFILIAL
                               FROM PRODMODFILI PMF
                              WHERE PMF.CDMODULOPROD = PMP.CDMODULOPROD
                                AND PMF.CDPRODUTO    = PMP.CDPRODUTO
                                AND PMF.CDFILIAL     = :NEW.CDFILIAL));
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('SINCRONIZA_MODULOFILI','5.07.015'); END;
/